Endpoint: !ResendDCVEmail
https://secure.trust-provider.com/products/download/!ResendDCVEmail
The ResendDCVEmail API allows you to resend the DCV email for an existing certificate order.
You can specify the target email address if needed.
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
The following table lists the required and optional parameters.
| Parameter | Type | Requirement | Max. Length | Description |
|---|---|---|---|---|
|
string |
required |
64 chars |
Your account username. This value is case sensitive. |
|
string |
required |
128 chars |
Your account password. This value is case sensitive. |
|
integer |
conditional |
The order number of a certificate for which the DCV email should be resent.
Either |
|
|
integer |
conditional |
A unique identifier for the initial certificate order associated with your account, returned to your account.
Either |
|
|
string |
optional |
255 chars |
The email address to which the DCV email should be sent.
This value must have been returned by a call to the |
Sample request
curl --location --request POST 'https://secure.trust-provider.com/products/!ResendDCVEmail' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=yourLoginName' \
--data-urlencode 'loginPassword=yourPassword' \
--data-urlencode 'orderNumber=yourOrderNumber'
Response
The response is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
Response parameters
The following table displays the content that can appear in the response.
| Parameter | Type | Description |
|---|---|---|
|
integer |
The numeric code indicating the result of the request. For more information, see Error codes. |
|
string |
The explanation of the error. |
|
string |
The problematic request parameter. This parameter is relevant to |